package tutorialJava.capitulo5.ejercicios.bloque03_clasesYMetodosAbstractos.instrumentos;

public class Principal {
    public static void main(String[] args) {
        // Crear una lista de instrumentos
        Instrumento[] instrumentos = new Instrumento[] {
            new Guitarra("Fender Stratocaster"),
            new Piano("Yamaha U1"),
            new Bateria("Pearl Export"),
            new Guitarra("Gibson Les Paul")
        };

        // Recorrer la lista y llamar al método tocar() de cada instrumento
        for (Instrumento instrumento : instrumentos) {
            instrumento.tocar();
        }
    }
}